Probably
Docs

List personas

list_personas, in Reads: Any connection or key may call these.

POST
/api/v1/tools/list_personas

A Space's personas: the people its videos cast again and again, each with how they look and how they're played.

Authorization

apiKey
headerAuthorizationBearer <token>

An API key (prb_…) from Settings → Connections.

Request Body

application/json
  1. body
spaceId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Response Body

The tool's answer.

application/json
  1. response
personas*array<>
curl -X POST 'https://studio.probably.co/api/v1/tools/list_personas' \  -H "Authorization: Bearer $PROBABLY_API_KEY" \  -H 'Content-Type: application/json' \  -d '{  "spaceId": "a330a273-e64a-4183-aedb-f3152797a9a5"}'
{  "personas": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "version": 0,      "name": "string",      "look": "string",      "portrayal": "string",      "voice": {        "kind": "space"      },      "photos": [        {          "assetId": "9179b887-04ef-4ce5-ab3a-b5bbd39ea3c8",          "versionId": "14707576-2549-4848-82ed-f68f8a1b47c7"        }      ],      "headshot": "none"    }  ]}